Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::SMD3QuaternionTag Struct Reference

hold a tag info for connecting meshes More...

`#include <IAnimatedMeshMD3.h>`

List of all members.

## Public Member Functions
SMD3QuaternionTag & | operator= (const SMD3QuaternionTag &copyMe)
bool | operator== (const SMD3QuaternionTag &other) const
void | setto (core::matrix4 &m)
| SMD3QuaternionTag (const core::vector3df &pos, const core::vector3df &angle)
| SMD3QuaternionTag (const core::stringc &name, const core::matrix4 &m)
| SMD3QuaternionTag (const core::stringc &name)
| SMD3QuaternionTag (const SMD3QuaternionTag &copyMe)
virtual | ~SMD3QuaternionTag ()
## Public Attributes
core::stringc | Name
core::vector3df | position
core::quaternion | rotation

## Detailed Description

hold a tag info for connecting meshes

Basically its an alternate way to describe a transformation.

Definition at line 164 of file IAnimatedMeshMD3.h.

## Constructor & Destructor Documentation

virtual irr::scene::SMD3QuaternionTag::~SMD3QuaternionTag | ( |  | ) | `[inline, virtual]`

Definition at line 166 of file IAnimatedMeshMD3.h.

References position, and irr::core::vector3d< T >::X.

irr::scene::SMD3QuaternionTag::SMD3QuaternionTag | ( | const SMD3QuaternionTag & | copyMe | ) | `[inline]`

Definition at line 172 of file IAnimatedMeshMD3.h.

irr::scene::SMD3QuaternionTag::SMD3QuaternionTag | ( | const core::stringc & | name | ) | `[inline]`

Definition at line 178 of file IAnimatedMeshMD3.h.

irr::scene::SMD3QuaternionTag::SMD3QuaternionTag | ( | const core::stringc & | name,
|  | const core::matrix4 & | m |
| ) |  |  | `[inline]`

Definition at line 182 of file IAnimatedMeshMD3.h.

irr::scene::SMD3QuaternionTag::SMD3QuaternionTag | ( | const core::vector3df & | pos,
|  | const core::vector3df & | angle |
| ) |  |  | `[inline]`

Definition at line 186 of file IAnimatedMeshMD3.h.

## Member Function Documentation

SMD3QuaternionTag& irr::scene::SMD3QuaternionTag::operator= | ( | const SMD3QuaternionTag & | copyMe | ) | `[inline]`

Definition at line 200 of file IAnimatedMeshMD3.h.

References Name, position, and rotation.

bool irr::scene::SMD3QuaternionTag::operator== | ( | const SMD3QuaternionTag & | other | ) | const`[inline]`

Definition at line 195 of file IAnimatedMeshMD3.h.

References Name.

void irr::scene::SMD3QuaternionTag::setto | ( | core::matrix4 & | m | ) | `[inline]`

Definition at line 190 of file IAnimatedMeshMD3.h.

References irr::core::quaternion::getMatrix(), position, and rotation.

## Member Data Documentation

core::stringc irr::scene::SMD3QuaternionTag::Name

Definition at line 208 of file IAnimatedMeshMD3.h.

Referenced by operator=(), and operator==().

core::vector3df irr::scene::SMD3QuaternionTag::position

Definition at line 209 of file IAnimatedMeshMD3.h.

Referenced by operator=(), setto(), and ~SMD3QuaternionTag().

core::quaternion irr::scene::SMD3QuaternionTag::rotation

Definition at line 210 of file IAnimatedMeshMD3.h.

Referenced by operator=(), and setto().

The documentation for this struct was generated from the following file:

- IAnimatedMeshMD3.h

| The Irrlicht Engine Documentation © 2003-2009 by Nikolaus Gebhardt. Generated on Sun Jan 10 09:24:17 2010 by Doxygen (1.5.6)